Hooks:PostHook(JobManager, "load","heat",function(self,data) 
    if data.job_manager then
		self._global.heat = data.job_manager.heat or self._global.heat

		if not self._global.heat then
			self:_setup_job_heat()
			Application:error("[JobManager:load] Job heat should already be setup'd!")
		end

		for _, job_id in ipairs(tweak_data.narrative:get_jobs_index()) do
			if not self._global.heat[job_id] then
				Application:debug("[JobManager:load] Adding new job heat", job_id)

				if tweak_data.narrative:has_job_wrapper(job_id) then
					self._global.heat[job_id] = self:_get_wrapped_default_heat(job_id)
				else
					self._global.heat[job_id] = self:_get_default_heat()
				end
			end
			if job_id == "chill" then
				self._global.heat[job_id] = self:_get_default_heat()
			end
		end

		self:_chk_fill_heat_containers()

		local invalid_jobs = {}

		for job_id, heat in pairs(self._global.heat) do
			if tweak_data.narrative:get_index_from_job_id(job_id) == 0 or tweak_data.narrative:is_wrapped_to_job(job_id) then
				table.insert(invalid_jobs, job_id)
			else
				self:_chk_is_heat_correct(job_id)
			end
		end

		for _, job_id in ipairs(invalid_jobs) do
			Application:debug("[JobManager:load] Removing invalid job heat", job_id)

			self._global.heat[job_id] = nil
		end

		self._global.saved_ghost_bonus = data.job_manager.ghost_bonus or self._global.saved_ghost_bonus

		if type(self._global.saved_ghost_bonus) == "number" then
			self._global.saved_ghost_bonus = Application:digest_value(self._global.saved_ghost_bonus, true)
		end
	end
end
)